Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::BlobGrid Class Reference

`#include <blobgrid.h>`

Inheritance diagram for tesseract::BlobGrid:

List of all members.

## Public Member Functions

| BlobGrid (int gridsize, const ICOORD &bleft, const ICOORD &tright)
virtual | ~BlobGrid ()
void | InsertBlobList (BLOBNBOX_LIST *blobs)
Public Member Functions inherited from tesseract::BBGrid< BLOBNBOX, BLOBNBOX_CLIST, BLOBNBOX_C_IT >
| BBGrid ()
| BBGrid (int gridsize, const ICOORD &bleft, const ICOORD &tright)
virtual | ~BBGrid ()
void | Init (int gridsize, const ICOORD &bleft, const ICOORD &tright)
void | Clear ()
void | ClearGridData (void(*free_method)(BLOBNBOX *))
void | InsertBBox (bool h_spread, bool v_spread, BLOBNBOX *bbox)
void | InsertPixPtBBox (int left, int bottom, Pix *pix, BLOBNBOX *bbox)
void | RemoveBBox (BLOBNBOX *bbox)
bool | RectangleEmpty (const TBOX &rect)
IntGrid * | CountCellElements ()
ScrollView * | MakeWindow (int x, int y, const char *window_name)
void | DisplayBoxes (ScrollView *window)
void | AssertNoDuplicates ()
virtual void | HandleClick (int x, int y)
Public Member Functions inherited from tesseract::GridBase
| GridBase ()
| GridBase (int gridsize, const ICOORD &bleft, const ICOORD &tright)
virtual | ~GridBase ()
int | gridsize () const
int | gridwidth () const
int | gridheight () const
const ICOORD & | bleft () const
const ICOORD & | tright () const
void | GridCoords (int x, int y, int *grid_x, int *grid_y) const
void | ClipGridCoords (int *x, int *y) const

## Additional Inherited Members

Protected Attributes inherited from tesseract::BBGrid< BLOBNBOX, BLOBNBOX_CLIST, BLOBNBOX_C_IT >
BLOBNBOX_CLIST * | grid_
Protected Attributes inherited from tesseract::GridBase
int | gridsize_
int | gridwidth_
int | gridheight_
int | gridbuckets_
ICOORD | bleft_
ICOORD | tright_

## Detailed Description

Definition at line 33 of file blobgrid.h.

## Constructor & Destructor Documentation

tesseract::BlobGrid::BlobGrid | ( | int | gridsize,
|  | const ICOORD & | bleft,
|  | const ICOORD & | tright
| ) |  |

Definition at line 24 of file blobgrid.cpp.

: BBGrid<BLOBNBOX, BLOBNBOX_CLIST, BLOBNBOX_C_IT>(gridsize, bleft, tright) {
}

tesseract::BlobGrid::~BlobGrid | ( |  | ) |

virtual

Definition at line 28 of file blobgrid.cpp.

{
}

## Member Function Documentation

void tesseract::BlobGrid::InsertBlobList | ( | BLOBNBOX_LIST * | blobs | ) |

Definition at line 34 of file blobgrid.cpp.

{
BLOBNBOX_IT blob_it(blobs);
for (blob_it.mark_cycle_pt(); !blob_it.cycled_list(); blob_it.forward()) {
BLOBNBOX* blob = blob_it.data();
if (!blob->joined_to_prev())
InsertBBox(true, true, blob);
}
}

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/textord/blobgrid.h
- /mnt/data/src/tesseract-ocr/textord/blobgrid.cpp